Subject: Differences

From: [email-masked]
Date: Tue, 30 Mar 93 09:45:40 EST

How does one compute DIFFERENCES in postgres? What I mean is, how do
you compute A-B, where A and B are relations?
(A-B is the tuples in A that are not in B). As I understand it, the 
relational paradigm requires one to be perform this operation. It has
applications to universally quantified queries
(In a database of magazine-subscribers and publishers the query
"Which subscribers get ALL of their subscriptions from a certain
publisher?" requires forming differences, in this sense).

_____________________________________________________________________________
Justin R. Smith                                        Office: (215) 895-1847
Department of Mathematics and Computer Science           Home: (215) 446-5271
Drexel University                                         Fax: (215) 895-2070
Philadelphia, PA 19104  (USA)